/*
* @file hv_drv_UsbStorageProtocol.h
* @brief Header file of usb storage protocol.
*
* @author HiView SoC Software Team
* @version 1.0.0
* @date 2022-06-15
*/

#ifndef __HV_DRV_USB_STORAGE_PROTOCOL_H
#define __HV_DRV_USB_STORAGE_PROTOCOL_H

#include "hv_drv_UsbStorageCommonScsi.h"
#include "hv_drv_UsbStorageUmass.h"

extern void usb_stor_pad12_command(struct scsi_cmnd *, struct us_data *);
extern void usb_stor_ufi_command(struct scsi_cmnd *, struct us_data *);
extern void usb_stor_transparent_scsi_command(struct scsi_cmnd *, struct us_data *);

#endif /* __STORAGE_PROTOCOL_H */
